HP Views Designer Assistant: Controller Class Reference

| HP Views Designer Assistant 1.0.0 TFG - Alberto Gutierrez Perez - Universidad de Valladolid |

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Controller Class Reference

The Controller class. More...

`#include <controller.h>`

Inheritance diagram for Controller:

## Public Member Functions

| Controller ()
| Controller constructor.
void | on_homeBtn_clicked (bool ask=true)
| on_homeBtn_clicked. More...
void | on_settingsBtn_clicked ()
| on_settingsBtn_clicked.
void | on_helpBtn_clicked (QString path, QPoint position)
| on_helpBtn_clicked. More...

## Protected Member Functions

bool | confirmExit ()
| confirmExit ask the user for exit confirmation. More...
void | showPreview (QString path)
| showPreview show graphic preview of QML file. More...
QString | getLongSavePath ()
| getLongSavePath ask the user the location to save the file. More...
void | switchToOptionsView ()
| switchToOptionsView change the current view to the secondary view.

## Protected Attributes

View * | generalView
| generalView primary view.
View * | optionsView
| optionsView secondary view.
Interfaz * | interfaz
| interfaz interface.

## Detailed Description

The Controller class.

## Member Function Documentation

## ◆ confirmExit()

bool Controller::confirmExit | ( |  | ) |

protected

confirmExit ask the user for exit confirmation.

Returns
  `true` if the user confirm, `false` otherwise.

## ◆ getLongSavePath()

QString Controller::getLongSavePath | ( |  | ) |

protected

getLongSavePath ask the user the location to save the file.

Returns
  the selected path.

## ◆ on_helpBtn_clicked()

void Controller::on_helpBtn_clicked | ( | QString | path,
|  | QPoint | position
| ) |  |

on_helpBtn_clicked.

Parameters

  path | help file path.
  position | current widget screen position.

## ◆ on_homeBtn_clicked()

void Controller::on_homeBtn_clicked | ( | bool | ask = `true` | ) |

on_homeBtn_clicked.

Parameters

  ask | whether confirmation from the user is required.

## ◆ showPreview()

void Controller::showPreview | ( | QString | path | ) |

protected

showPreview show graphic preview of QML file.

Parameters

  path | QML file path to preview.

The documentation for this class was generated from the following files:

- D:/Documentos/ViewDesignerAssistant/Controller/controller.h
- D:/Documentos/ViewDesignerAssistant/Controller/controller.cpp